:root {
    --bg-colour: white
}

html, body {
    margin: 0;
    height: 100%;
}

#hintText {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: fadeOut 1s ease forwards;
    animation-delay: 3s;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        visibility: hidden;
    }
}

#announcer {
    position: absolute;
    left: -9999px;
}

#white {
    display: block;
    width: 30%;
    height: 20%;
    margin: 0px;
    text-decoration: none;
    color: var(--bg-colour);
    justify-content: center;
    font-family: 'ubuntu mono', sans-serif;
}


#white:hover,
#white:focus {
    color: #6B8F71;
    font-size: 3vw;
}

#colours {
    position: fixed;
    display: grid;
    grid-template-columns: repeat(2, auto);
    width: 23vw;
    height: 20vw;
    justify-content: center;
    align-items: center;
    gap: 10px;
    bottom: 10px;
    left: 10px;
}

#colours button {
    width: 10vw;
    height: 3vw;
    font-size: 2vw;
    font-family: 'ubuntu mono', sans-serif;
    border-style: none;
    border-radius: 2vw;
    color: var(--bg-colour);
    background-color: var(--bg-colour);
}


#colours:hover button {
    background-color: #6B8F71;
    color: white;
}

#colours:hover button:hover,
#colours button:focus {
    background-color: #85a28a;
    color: white;
}

#colours:hover button:active {
    background-color: white;
    color: #85a28a;
    border-style: solid;
    border-color: #85a28a;
}